f



DAQ assistant with AT-MIO-16E-2 board LabVIEW 7.1

Hi there,
I'm just trying to get started with some simple data acquisition, to learn the basics about it and hopefully be able to do more advanced stuff later. 
 
I'm running LabVIEW 7.1 on Windows 2000, with an AT-MIO-16E-2 board connected to a NI TBX-68 which currently only has one thermocouple connected on channel 0. When I open MAX, I can see the board and if i press on test panels, i'm able to see the channel and it reacts if I touch the thermocouple. Therefore that seems to be all right. 
 
But then if I try to put in the DAQ assistant into a VI and try to set up a task, it always says that 'no supported device could be found'. Does anybody around here know how to go about solving this problem?
 
Thanks a bunch,
 
Fabian
0
x9561 (148466)
4/2/2008 9:40:08 AM
comp.lang.labview 35213 articles. 1 followers. vasusachin24 (1) is leader. Post Follow

7 Replies
263 Views

Similar Articles

[PageSpeed] 47

Hi Fabian,
did you try to program this function by yourself with the DAQmx vi? Maybe this works.
Mike
0
x9561 (148466)
4/2/2008 9:40:08 AM
Hi Mike,
thanks for your quick reply! I don't really know how to go about programming it in the DAQmx vi... can you give me some advice about how to do it?
Thanks,
Fabian
0
x9561 (148466)
4/2/2008 9:40:11 AM
Hi fabian,
here is a simple example. Maybe you can change it for your use.
Mike


Unbenannt 1_LV80.vi:
http://forums.ni.com/attachments/ni/170/312984/1/Unbenannt 1_LV80.vi
0
x9561 (148466)
4/2/2008 9:40:12 AM
Thanks Mike. Can you save files for older labview versions in labview 8? I'm running 7.1 so can't open it up. :S
0
x9561 (148466)
4/2/2008 9:40:14 AM
Hi fabian,
sorry for that, here is a picture.
Mike


Unbenannt.PNG:
http://forums.ni.com/attachments/ni/170/312991/1/Unbenannt.PNG
0
x9561 (148466)
4/2/2008 9:40:15 AM
Vielen Dank! I'll try my luck... lol
0
x9561 (148466)
4/2/2008 10:10:05 AM
mhh okay i think the problem is that my card is just not supported by the DAQ assistant. it's not listed as an DAXmx device in MAX, but as a 'traditional NI-DAQ Legacy Device', which is probably why the assistant didn't work with it. Seems like I'll have to do it the hard way...
0
x9561 (148466)
4/2/2008 10:10:09 AM
Reply:

Similar Artilces:

Is LabVIEW 7.1 Aug2005 identical to LabView 7.1 May2005?
I am attempting to have a coworker at a remote site set up their PC with the exact same software as one that I have here.  I used the August 2005 CDs from Developer Suite.  My coworker tells me that he has the TestStand 3.1, and the Device Driver CDs from the Aug2005 Dev Suite shipment, but he can only find LabView 7.1 from the May2005 delivery.   I would like to safely assume that LabView 7.1 is LabView 7.1, regardless of whether it was shipped in May or August, but it is really important to me to make absolutely sure that we end up with the same software v...

DSC module 7.1 labview 7.1, new controls and functions not showing up in labview
Dear Reader, I have installed labview 7.10 (also tried update to 7.11) and DSC module 7.1 I thought I would get additional functions and controls in labview due to installation of this module, but I do not see addtional controls or functions, althought I have searched for them and set the controls to "advance" etc. Anyone any idea what I have to do. thanks and regards. ...

Differences in CIN management between Labview 5.0 and Labview 7.1 ? #2
Hi,   I'm using a VI on a two photon microscope. It steers the laser beam in the sample (quite the same way as a TV scan, scanning a fast line on the X axis, then moving the line down) controlling two mirrors by the PCI-MIO-16E-4 Multifunctions card on traditional DAQ and at the same time it serves as the acquitision through a non-NI DSP Multifunction-board with on-board buffers and hight data throughput (70 Mb/s).   It is this part of the program which gives us strong headaches since we have upgraded to a new PC. On the old machine we used Win...

Why multihreaded soft worked under Labview 7 but is slower under Labview 8.2.1
Hello all ! &nbsp; I have a multithreated software developped under Labview 7.0. Under this version, multithreading can be enabled/disabled via the&nbsp;options menu&nbsp;/ performance &amp; disk section. This is not present under Labview 8.2.1. &nbsp; My software works properly under LW7 but is slower under LW8.2.1...how can I configure labview and or my vi&nbsp;to make it running as well as&nbsp;under LW7 ??? Is there a "hidden" option to enable/disable multithreading under LW8.2.1 ?&nbsp; &nbsp; Thank you for your help &nbsp; remi To disable multithreading, add ESys.StdNParallel=0 to the ini file. (See: <a href="http://digital.ni.com/public.nsf/websearch/2F606AD236C606008625718E00561A62?OpenDocument" target="_blank">http://digital.ni.com/public.nsf/websearch/2F606AD236C606008625718E00561A62?OpenDocument</a>) However, it is not celar that this is the problem. Did you save the entire hierachy under 8.2.1 after conversion (of course after making sutable backup copines of the 7.0 version ;)). Freshly converted, but not yet saved code runs typically much slower. Also, what do you mean by "slower" 10% slower, 10x slower? How do you measure speed? Thanks for your quick answer altenbach. The tips given at this link will really be useful to me! It seems that I made a wrong conversion of the files...fortunately I made suitable backup of the 7.0 version :smileywink:. I will investigate mor...

How can I run a labview 7.2 vi in labview 8.2
We have several versions of labview running different test and control functions in our facility. There are labview 7.2 VIs in a production setting I wish to reproduce in the test lab. Can I convert them to run on 8.2 or do I have to recreate them in 8.2. I tried to open one in 8.2 and got multiple SubVI's that were not in my program library.. most dealing with AI manipulation. &nbsp; And make sure you have backup copies of your 7.x code. Once you load and save in 8.2, it is a lot of work to get them back to 7.x. Note I used 7.x because I am unaware of LabVIEW version 7.2 even existing. 7.1.1 was the last release prior to 8.0 ...

Problem in creating the simulation dll using SIT 2.0.3,matlab 7.1,labview 7.1
I am currently using SIT 2.0.3 ,using this toolkit i am trying to create the simulation DLL for labview.but i am getting the following error in matlab command window Error: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 117 Column: 7Undefined identifier ReleaseVersionError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 117 Column: 25The == and != operators can only be used to compare values of the same typeError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 260 Column: 26Undefined identifier ReleaseVersionError: File: C:\SimulationInterfaceToolkit\ModelInterface\basic.tlc Line: 260 Column: 44The == and != operators can only be used to compare values of the same type &nbsp; Is this a version problem? I am using Simulation interface toolkit 2.0.3 Matlab 7.1.0.246(R14) Service pack Real time workshop V.6.3 Labview 7.1 Microsoft visual C++ 6.0 &nbsp; Can anybody help me to solve this issue. &nbsp; Hi, Unfortunately, it looks like the versions you are using are indeed not compatible. Here is an excerpt from the <a href="http://ftp.ni.com/support/softlib/labview/labview_toolkits/simulation_interface/2.0.3/sit_2_0_3_readme.html" target="_blank">Read Me file</a> for Simulation Interface Toolkit 2.0.3: To use the Simulation Interface Toolkit 2.0.3, you must be a properly licensed user of and have the following software installed on the host computer. - The MathWorks MATLAB ver...

LabVIEW RTE 7 does not work on Linux with Mozilla (1.7) or Netscape (7.2)
LabVIEW RTE 7 does not work on Linux (Mandrake 10.1 or Knoppix 3.7) with Mozilla (1.7) or Netscape (7.2). We tried everything described in <http://exchange.ni.com/servlet/ProcessRequest?RHIVEID=101&RNAME=ViewQuestion&HOID=506500000008000000EFBC0000&ECategory=LabVIEW.LabVIEW+General> copying plugins, but always the gray window on Mandrake or error setting up plugin on Knoppix. We are trying to drive remote applications on your web site with Linux (if possible) to decide about purchasing LabVIEW for Linux. Is there a demo version for Linux we could try? Apparently, LabVIEW fo...

Can I run a LabVIEW 7.1 Application on a system with LabVIEW 6.1?
The VI App did not run properly, even after I installed the LabVIEW 7.1 Run time engine. Perhpas I need to uninstall the LV 6.1 run time engine? Thank you for any suggestions; perhaps it's something minor that I'm overlooking! Are you talking about a 7.1 exe or VI? An executable will run with 6.1 installed and the 7.1 run-time. A 7.1 VI will only run with 7.1 development system. When you say it did not run properly, what exactly do you mean? I am referring to trying to run a 7.1 EXE application on a system with a resident 6.1 development environment, and the 7.1 run-time engine ins...

Re: LabView 7.1 and MATLAB 7 #2
And I'm sorry that the link I posted 1.5 years ago didn't survive the discussion forum migration. &nbsp; But I will say that the 7.1.1 maintenance release included all fixes for LabVIEW 7.1, including some with the MATLAB script node.&nbsp; This is a free download avaliable here: &nbsp; <a href="http://digital.ni.com/softlib.nsf/websearch/369618104E25B08E86256F54006A4E2F?Opendocument" target="_blank">http://digital.ni.com/softlib.nsf/websearch/369618104E25B08E86256F54006A4E2F?Opendocument</a> &nbsp; The KB entry Kileen linked above has m...

Runtime Engine 7.1.1 Disk 2 when starting Labview
I have labview version 8.2.1 installed on my computer. &nbsp; The other day I installed some application by another company that must have installed Labview Runtime Engine 7.1.1 on my computer.&nbsp; I didn't need that program anymore, so I uninstalled it.&nbsp; &nbsp; Now anytime I try to run any labview programs on my computer, I get several dialog boxes wanting me to put NI Labview Runtime Disk #2 in my CD drive. &nbsp; How can I get rid of these dialog boxes? &nbsp; Please help!!! Hi bkundework, This issue seems very strange but I do have a few suggestions. The first idea that comes to mind is to repair LabVIEW 8.2.1 from Add/Remove Programs. If you no longer have the 8.2.1 disks or if a repair does not work, you should install the LabVIEW Run-Time Engine 8.2.1. This download is available on NI?s website. These two ideas are the easiest ways to possibly fix things. If they don?t, a list of all the NI Software you have installed would be helpful for going forward. &nbsp; Brian, I?m sorry to hear that didn?t work. It sounds like leaving that software on your computer may be the easiest solution. However, if you are interested in spending more time on the issue, you could use the MSIBlast utility to find and delete the 7.1 installers. This utility is available at ftp.ni.com/outgoing . Other than this, reformatting you computer is the only sure fire way to remove the problem (along with everything else). You may also want to post the...

labview 7.1 #2
Hello, &nbsp; I would like to download an evaluation version of labview 7.1, where can I find it? &nbsp; Thank you for the answers! &nbsp; Best regards &nbsp; I'm not sure that's it's available for download anymore.. LV8.2 eval is available.&nbsp; Do you specifically need LV7.1?&nbsp; (why?) ...

Can I use NI-FGEN version 2.1 in LabView 7.1 ?
BACKGROUND: We are switching from using CVI to LabView. We have LabView version 7.1 (as part of developer suite). I am building a new test station with PXI chassis and items such as 5112 digitizer, 5411 Arb Wave Gen. NI-Scope version 2.6 came with the 5112. When I installed it, I did not get any VIs in tools panel, and no examples. Re-installed and checked box for "LabView 7.0" support. Then got examples in directory, but they would not run. Discovered that I needed NI-Scope 2.6.1 which includes support for LabView 7.1. PROBLEM: So before loading NI-FGEN 2.1 from the CD_ROM ...

Time in LabVIEW DAQ Assistant and Write LabVIEW file
Hello all, I would be extremely grateful for your assistance in helping me understand the timing in LabVIEW. Here are the details of the system. The data acquisition is done using&nbsp;a simple LabVIEW 8.2 based program consisting of a DAQ Assistant VI and a Write to Measurement File VI, which writes data in TDM format (binary with XML header). The hardware consists of a 1042Q chassis that contains 2 PXI-6133 cards. 16 transducers are connected to these 8 channel cards. The chassis is connected to a PC by means of MXI-4 fiber optic cable and a PCI-8336 card. &nbsp; I would like to sample all 16 channels simultaneously at 500 kS/s for 2 secs. or 1MS/s for 0.5 secs. When the signals were sampled at 500kS/s x 2secs., the time column looks like this when opened on DIAdem. &nbsp; Serial#&nbsp;&nbsp; Time&nbsp;&nbsp; Time(in secs. when displayed in number format with 8 decimals) 1&nbsp;&nbsp;&nbsp;&nbsp; 07/10/2007 00:09:42.1406&nbsp;&nbsp;&nbsp;&nbsp; 63351158982.14060800 14&nbsp;&nbsp; 07/10/2007 00:09:42.1407&nbsp;&nbsp;&nbsp;&nbsp; 63351158982.14069760 64&nbsp;&nbsp; 07/10/2007 00:09:42.1408&nbsp;&nbsp;&nbsp;&nbsp; 63351158982.14080000 109 07/10/2007 00:09:42.1409&nbsp;&nbsp;&nbsp;&nbsp; 63351158982.14090240 etc. &nbsp; The time does not change from serial 1 to 13, and&nbsp;only at the 14th row does&nbsp;it change, after which it&nbsp;remai...

Problems in accessing exported VIs in Labview 8.2.1 (in contrast to 7.1)
In a local client / server arrangement I use a server sided global VI for buffering information from the server to the client. Server VI and global VI are assumed to run in a common application, the client in another. The server exports the global VI but the client can't get access to it and thus is not able to call the global VI by reference. Within one and the same development environment everything works fine (example 1). After distributing it into two projects with libraries or after application building it doesn't (examples 2a &amp; 2b) A similar construct worked under LabView 7.1 but I got lost in VI-settings, build settings and computer instance settings under 8.2.1. The attached simplified examples show how it is intended to work (example 1) and the problems occurring (2a&amp;2b). It also includes a description of usage. Can anybody help? Hello Benjamin.. &nbsp; thank you for your example modifications. I am sorry that I still can't get them running. After adjusting the library path the program did what I expected: it simply opened another instance of the GLBVI.... I assume that it worked when you tried it. Maybe the difference simply was, that you opened both examples in one common lvproj environment (which is similar to the situation in example1). The both - client and server - use the same instance. But when operating it with two lvproj opened or later in two separat compilations client and server start their own instances and thus the da...

LabVIEW 7.1.1 w/.NET 2.0 patch, objects still missing
Hi Folks, &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A co-worker [using LV 7.1]&nbsp;asked how to do a Clipboard.Clear while manipulating an Excel document.&nbsp; I don't know what the easiest way is.&nbsp; Looked briefly through the Excel&nbsp;Automation&nbsp;methods and tried Windows User32.EmptyClipboard which gave an error I didn't explore - am currently looking at&nbsp;a method of the&nbsp;.NET System.Windows.Forms\Clipboard object.&nbsp; This&nbsp;object is visible in&nbsp;System.Windows.Forms(2.0.0.0) assembly - but only when I'm using LV 8.2(.1).&nbsp; I was unable to see this 2.0.0.0 assembly from LV 7.1.1 until applying the 7.1.1 .NET patch - now the 2.0.0.0 assembly is listed in the object-browser, but the "clipboard" object is not a listed member. :smileysad: &nbsp; I'd be grateful for your Clipboard.Clear solution - and any info as to why the .NET-patched 7.1.1 should or shouldn't see all 2.0.0.0 objects. :smileyhappy: &nbsp; Cheers! Hi Trey, Thanks for the ideas tried everything, critical updates were up-to-date.&nbsp; Installed NET 3.0 though it seemed silly - but it was the only net-related non-critical update.&nbsp; Restart, no joy.&nbsp; Had 7.1.1f2 but re-"installed" it anyway - it's essentially&nbsp;a couple (3)&nbsp;replaced files.&nbsp; Still no clipboard object to select in NET-constructor browser. Do you have the&nbsp;Win...

Controlling VI Logger 1.1.1 with LabVIEW 7.1
I have LabVIEW 7.1 on my system and installed VI Logger (1.1 them upgraded to 1.1.1). I would like to programatically control VI Logger with LabVIEW. There are references to VIs under the Advanced pallate to do just that, but I cannot find them or any help files to explain what to do. Where do I find these VIs? ...

Labview 7.1 executable #2
Hello, &nbsp; I have some LV-programs (Labview 7.1) and I would like to start this program as an executable, but I didn't find any information how to do this with LV7.1. Could you give some information Thank you very much. &nbsp; Best regards Daniel Berger &nbsp; ...

Trying to use Labview Test Executive with Labview 7.1
I have an old application I wrote in Labview 5.1 using the Test Executive version 5.1.&nbsp; I now need to modify the program slightly for a new product. So far I have done the following: 1. Installed the Test Executive in the Labview 7.1 directory 2. Mass compiled the vi's in the LVEXEC51 folder &nbsp; During the mass compile, I see a number of errors when it tries to compile the vi's in the DATABASE folder. It can't seem to find vi's related to SQL (ie Easy SQL.vi). When I try to run the Test Executive directly from the Operator.llb, I see the following errors: &n...

DAQ Examples on LabVIEW 7.1
Hi i have been using LabVIEW for 2 months now and am having problems with the DAQ. &nbsp;I want to run a few examples to see how to configure my program for real-time use, and it is giving me error 10401 on every example i try Here is the error message: &nbsp; Possible reason(s): NI-DAQ LV:&nbsp; The specified device is not a National Instruments product, the driver does not support the device (for example, the driver was released before the device was supported), or the device has not been configured using the Measurement &amp; Automation Explorer. &nbsp; I have already ch...

How can you simple install the LabVIEW Toolboxes with LabVIEW 7.1
Hello, yesterday was a nice day, I have receved the NI Developer Suite Professional Control Edition with the new LabVIEW 7.1, RT 7.1, DSC 7.1 etc. I still use Labview 7.0 (Developer Suite Professional Control Edition) Unfortunately I can't install the Toolboxes from the toolbox cd into the right directory! Always when I try to install a toolbox, it will be installed into the LabVIEW 7.0 directory. It is not possible to change the directory (exeption: SPC-Toolbox) Even if you change the name of your LabVIEW 7.0 Directory, the toolbox produce a new folder LabVIEW 7.0 and is getting instaled ...

Labview 7.0 Vs Labview 8.2 Issue?
Hello, For a independent study Labview class I'm taking, I am trying to create a program that will input two different wav files and combine parts of them together for audio output. The first file I am trying to cut out the bass lines and replace them with the bass lines from the second file. Kind of like turning the second file into a karaoke version and filling in the vocals with the vocal line from the first file. A second option is simply taking the instrumentals from a song (a wav file containing only the bass line) and adding them to the first file after cutting out the original bass line of the first if this isn't possible. I found the attached file while searching for information/examples as to how to do this - it was originally posted at:http://forums.ni.com/ni/board/message?board.id=170&amp;message.id=74618&amp;requireLogin=FalseI tried running the file in Labview 8.20 and it came back with the error that "Build Screen.vi not found." I have searched for this file to download but have come up with nothing.Also, any tips/pointers/comments (or "there is no way this is possible") are much appreciated and very welcome. I have been searching to see if there is anything like this that has been done before and as of yet haven't been able to find anything. I am pretty new to Labview but I am a quick learner and I have a professor working with me on the project that is very familiar with Labview. However, it's spring break right no...

NI-DAQ in LabView 7.1
I have an application in LabView 7.1 that is expecting vi.lib\DAQ vis to be loaded from the directory \LabVIEW7.1\ &nbsp; Which version of NI-DAQ would this indicate that needs loading? &nbsp; I have NI-DAQ 6.9.3 and if I load that and tell LabView to load the vi from that driectory, things seem to load without problem. &nbsp; Is NI-DAQ 7.2 the correct version and will it load in this directory?&nbsp; &nbsp; Doc14.doc: http://forums.ni.com/attachments/ni/170/259816/1/Doc14.doc Would NI-DAQ 7.2 be the first to be used under LV 7.1?&nbsp; I think it is still available for download. &nbsp; I have an app that needs to stay at LV 7.1 but I don't know what version was used for NI-DAQ except that the vi.lib was being looked for in the LABVIEW 7.1 directory. ...

which board I/O is compatible with labview 7.1?
Hello members, &nbsp; I'm wondering how do we know the compatbility of a board I/O&nbsp;with&nbsp;labview 7.1?&nbsp; i mean how do we know the electronic board is compatible with the I/O board and at the same time compatible with labview? actually, im on an intern and i need to do a program which test an electronic board. but before that, i need to find the compatible I/O board with labview.&nbsp; and is there somebody could explain to me DAQ and VISA? Thank u in advanced! &nbsp; Dhirah &nbsp; &nbsp;Message Edited by dhirah on 04-07-2008 05:08 AM I'm not sure exactly what you are looking for. You have something you want to test? For that test you need some board to provide the I/O for the test? The first thing to do is to define all of the I/O that you need. How many analog inputs/outputs/digital inputs/digital outputs? What is the range of the analog signals you have to source/measure (voltage/current/frequency)? What's your budget? When you have all of that, then you can start looking for test equipment that meets your specifications. You can contact your local NI Sales Engineer for help in configuring a system. For non-NI test equipment, external instruments connected via GPIB/USB/Serial/Ethernet, are usually no problem controlling with LabVIEW. Look for instruments that have drivers already written for them but writing your own driver is always possible. For pc based instruments, ask the vendor if they have a LabVIEW driver. M...

Application Builder for Labview 7.1 #2
I am currently using Labview 7.0 and am using application builder version 7.0. I just received Labview version 7.1 and I am wondering if I need a new version of the application builder. On my machine, LV7 does not load LV7.1 build file correctly. An errors pops up everytime it finds a chance. -Joe p.s. It is frustrating to keep multiple versions of LVs on a single computer. NI should at least consider to make the file format consistent among the minor versions of the same major version. p.p.s LV 7.1 does not work on Windows Me and 9x. > On my machine, LV7 does not load LV7.1 build fi...

Web resources about - DAQ assistant with AT-MIO-16E-2 board LabVIEW 7.1 - comp.lang.labview

Resources last updated: 3/19/2016 11:28:43 AM